# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorarch: %global perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)}

Name:		perl-EV
Version:	4.11
Release:	1%{?dist}
Summary:	Wrapper for the libev high-performance event loop library
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/EV/
Source0:	http://search.cpan.org/CPAN/authors/id/M/ML/MLEHMANN/EV-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(Config)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(common::sense)
BuildRequires:	gdbm-devel
BuildRequires:	perl(AnyEvent) >= 2.6
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module provides an interface to libev
(<http://software.schmorp.de/pkg/libev.html>).

%prep
%setup -q -n EV-%{version}

%build
PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" < /dev/null
# Kludge to remove rpaths (needed for distros < FC2)
perl -pi -e 's/^\tLD_RUN_PATH=[^\s]+\s*/\t/' Makefile
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
chmod -R u+w %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes COPYING README
%dir %{perl_vendorarch}/EV/
%doc %{perl_vendorarch}/EV/libev.pod
%{perl_vendorarch}/EV.pm
%{perl_vendorarch}/EV/*.h
%{perl_vendorarch}/EV/MakeMaker.pm
%{perl_vendorarch}/auto/EV/
%{_mandir}/man3/EV.3pm*
%{_mandir}/man3/EV::MakeMaker.3pm*
%{_mandir}/man3/EV::libev.3pm*

%changelog
* Sun Feb  5 2012 Paul Howarth <paul@city-fan.org> - 4.11-1
- Update to 4.11
  - libev: Implement memory fences for (obsolete) llvm-gcc

* Thu Jan 19 2012 Paul Howarth <paul@city-fan.org> - 4.10-1
- Update to 4.10
  - libev: Fix a race where the workaround against the epoll fork bugs caused
    signals to not be handled anymore
  - libev: Correct backend_fudge for most backends, and implement a Windows
    specific workaround to avoid looping because we call both select and Sleep,
    with different time resolutions
  - e_new wasn't declared static (causing very minor .so bloat)
  - replace more old API names by new ones
- BR: perl(Config)

* Wed Jun 22 2011 Paul Howarth <paul@city-fan.org> - 4.03-6
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Install into vendor directories rather than perl directories
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jan 26 2011 Paul Howarth <paul@city-fan.org> - 4.03-2
- Import from Fedora review queue (#448613)
- Always build with bundled libev

* Mon Jan 24 2011 Mathieu Bridon <bochecha@fedoraproject.org> - 4.03-1
- Update to 4.03

* Sun Nov  8 2009 kwizart < kwizart at gmail.com > - 3.8-1
- Update to 3.8

* Tue Apr 28 2009 kwizart < kwizart at gmail.com > - 3.6-1
- Update to 3.6

* Mon Mar  2 2009 kwizart < kwizart at gmail.com > - 3.53-1
- Update to 3.53

* Tue Feb  3 2009 kwizart < kwizart at gmail.com > - 3.52-1
- Update to 3.52

* Tue Oct 14 2008 kwizart < kwizart at gmail.com > - 3.44-1
- Update to 3.44
- WIP conditional --with systemlibev

* Wed Jul 15 2008 kwizart < kwizart at gmail.com > - 3.431-1
- Update to 3.431
- Update License to (GPL+ or Artistic) and (BSD or GPLv2+)
- Add libev README and LICENSE

* Wed Jul  8 2008 kwizart < kwizart at gmail.com > - 3.43-1
- Update to 3.43

* Mon Jun  9 2008 kwizart < kwizart at gmail.com > - 3.42-2
- Disable filter AnyEvent

* Tue May 27 2008 kwizart < kwizart at gmail.com > - 3.42-1
- Update to 3.42

* Wed Apr 30 2008 kwizart < kwizart at gmail.com > - 3.31-1
- Initial package for Fedora
